# Copyright (C) 2024 Manuel Bustillo

module Guests
  class UpdateUseCase
    def initialize(guest_ids:, params:)
      Guest.where(id: guest_ids).update!(params)

      # TODO: Not all status transitions may require a table re-arrangement
      TablesArrangement.delete_all

      ActiveJob.perform_all_later(50.times.map { TableSimulatorJob.new })
    end
  end
end
